Bug 1013589 - (CVE-2013-5679, CVE-2013-5960) CVE-2013-5679 CVE-2013-5960 owasp-esapi-java: symmetric encryption MAC bypass
CVE-2013-5679 CVE-2013-5960 owasp-esapi-java: symmetric encryption MAC bypass
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130821,repor...
: Security
Depends On: 1013591
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 08:01 EDT by Ratul Gupta
Modified: 2015-07-31 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: owasp-esapi-java 2.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-09-30 08:01:05 EDT
Owasp-Esapi-Java, a free, open source, web application security control library, was found to have a vulnerability, where it was possible to bypass the authenticity check by setting the MAC length to 0 and the MAC to null, when ESAPI symmetric crypto with CBC mode is used with PKCS#7 padding (called PKCS5Padding in Java), and an HMAC for authenticity.

The configuration could result in an exploitable vulnerability depending on the context for encryption and what degree an attacker can tamper with the serialized ciphertext, though only some ESAPI were found to be exploitable when using the default configuration. To be exploitable, an attacker would require the ability to modify ciphertext either at rest or in transit.

Because a MAC bypass is possible, authenticity of the ciphertext cannot be guaranteed with the default ESAPI configuration. Consequently, this exposure may allow a successful padding oracle attack against the default ESAPI cryptosystem configuration and hence result in an exploitable vulnerability that could result in a loss of confidentiality or a bypass of the authentication or authorization system.

The issue is reported to be fixed in the 2.1.0 upstream release.
Comment 1 Ratul Gupta 2013-09-30 08:03:31 EDT
Created owasp-esapi-java tracking bugs for this issue:

Affects: fedora-all [bug 1013591]
Comment 4 Fedora Update System 2015-01-14 18:58:10 EST
owasp-esapi-java-2.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-01-14 18:59:22 EST
owasp-esapi-java-2.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.